const CompanyList = [
  { key: ['人民币', 'RMB', '人民币(RMB)'], val: '元' },
  { key: ['美元', 'USD', '美元(USD)'], val: '美元' },
  { key: ['欧元', 'EUR', '欧元(EUR)'], val: '欧元' },
  { key: ['港元', 'HKD', '港元(HKD)'], val: '港元' },
  { key: ['英镑', 'GBP', '英镑(GBP)'], val: '英镑' },
  { key: ['日元', 'JPY', '日元(JPY)'], val: '日元' },
  { key: ['澳大利亚元', 'AUD', '澳大利亚元(AUD)'], val: '澳大利亚元' },
  { key: ['加拿大元', 'CAD', '加拿大元(CAD)'], val: '加拿大元' },
  { key: ['瑞士法郎', 'CHF', '瑞士法郎(CHF)'], val: '瑞士法郎' },
  { key: ['新西兰元', 'NZD', '新西兰元(NZD)'], val: '新西兰元' },
  { key: ['新加坡元', 'SGD', '新加坡元(SGD)'], val: '新加坡元' },
  { key: ['澳门元MOP', '澳门元(MOP)'], val: '澳门元' }
];

// 根据币种 判断单位
export function UnitHandling(type) {
  let moneyName='';
  if (!type) return;
  CompanyList.forEach(item => {
    let itemKey = item.key;
    itemKey.forEach(its => {
      if (its.indexOf(type) != -1) {
        moneyName = item.val;
      }
    });
  });
  return (' ' + moneyName);
}