import {
    apiGetDictionaryData,
} from '@/api/Common'
const state = {
    auditResultList: [], // 稽核结果（下拉框）
    auditResultList2: [],  // 稽核结果（单选框）
    visitStatusList: [], // 外访状态
    auditSituationTypeList: [], // 稽核情况（单选框）
    rights:{} // 权限
}

const mutations = {
    SET_BASE_DATA_AUDIT: (state, data) => {
        state.auditResultList = data.AuditResultList
        state.auditResultList2 = data.AuditResultTypeSelect
        state.visitStatusList =  data.VisitStateTypeSelect
        state.auditSituationTypeList = data.AuditSituationTypeSelect
        state.rights = data.Rights
    }
}

const actions = {
    getDictionaryData ({ commit }) {
        return new Promise((resolve, reject) => {
            apiGetDictionaryData().then(res => {
                const { Success, Value, Info } = res
                if (Success) {
                    commit('SET_BASE_DATA_AUDIT',Value)
                } else {
                    reject(Info)
                }
            })
        })
    },
}

export default {
    namespaced: true,
    state,
    mutations,
    actions
}
  