const state = {
  globalState: {},
};

const mutations = {
  SET_GLOBAl_STATE: (state, globalState) => {
    state.globalState = globalState;
  },
  SET_GLOBAl_STATE_WITH_KEY: (state, params) => {
    const { key, value } = params;
    state.globalState[key] = value;
  },
};

const actions = {
  setGlobalState({ commit }, globalState) {
    commit("SET_GLOBAl_STATE", globalState);
  },
  setGlobalStateWithKey({ commit }, params) {
    commit("SET_GLOBAl_STATE_WITH_KEY", params);
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
