// 此文件为获取时间工具
import moment from "moment";

export function dateFormat(value, formatString = "YYYY-MM-DD") {
  return moment(value).format(formatString);
}

// 获取次日15点整
export function nextDay(params) {
  return moment().add(1, "days").format("YYYY-MM-DD");
}

// 通话时长
export function durationFormat(value, formatString = "mm:ss") {
  return moment.utc(value).format(formatString);
}

export function nextDayAfterneen(date) {
  return moment(date).add(1, "days").format("YYYY-MM-DD 15:00:00");
}

// 获取日期23:59:59
export const endOfDate = date => {
  return moment(date).endOf('d').format('YYYY-MM-DD HH:mm:ss')
}