import request from '../uitls/request'

// table列表接口
export function apiGetTableList (data) {
    console.log('apiGetTableList: ', data)
    return request({
      url: '/api/Audit/GetContractAuditList?pageWork=true',
      method: 'post',
      data
    })
    // return new Promise((resolve, reject) => {
    //     resolve({
    //         "Success": true,
    //         "Info": "string",
    //         "Value": {
    //             SumDataCount: 2,
    //             DataList: [
    //                 {
    //                     ContractId: 12,
    //                     id: 1,
    //                     AuditResultTypeName: '111'
    //                 },
    //                 {
    //                     ContractId: 44,
    //                     id: 2,
    //                     AuditResultTypeName: 'abd'
    //                 }
    //             ]
    //         },
    //         "Type": "string"
    //     })
    // })
}

// 稽核
export function apiInsertAuditDetail (data) {
    console.log('apiInsertAuditDetail: ', data)
    return request({
        url: '/api/Audit/NewContactAudit',
        method: 'post',
        data
    })
//   return new Promise((resolve, reject) => {
//         resolve({
//             "Success": true,
//             "Info": "string",
//             "Value": [],
//             "Type": "string"
//         })
//     })
}

// 导出
export function apiExport (data) {
    console.log('apiExport: ', data)
    return request({
      url: '/api/Audit/GetContractAuditList?pageWork=false',
      method: 'post',
      data
    })
//   return new Promise((resolve, reject) => {
//     resolve({
//             "Success": true,
//             "Info": "string",
//             "Value": [],
//             "Type": "string"
//         })
//     })
}


// 经营单位
export function  apiGetUnitList () {
    return request({
      url: '/api/VisitTrack/GetAllUnit',
      method: 'get'
    })
}


// 本案资料
export function  getContactTelWorkRecord (id) {
    return request({
      url: '/api/Audit/GetContactTelWorkRecord?contactId=' + id,
      method: 'get'
    })
}


// ---- 共案 ----

// // 1.获取当前任务下关联的所有案件Id
// export function  getAllAccount (id) {
//     return request({
//       url: '/api/Audit/GetAllAccount?accountRecordId=' + id,
//       method: 'get'
//     })
// }

// 1.获取案件ID
export function  getAllAccount (accountId, debtorId) {
  return request({
    url: '/api/Audit/GetJointDebtAccount?accountId=' + accountId + '&debtorId=' + debtorId,
    method: 'get'
  })
}

// 2.获取共债案件联系资料
export function  GetJointDebtAccountContac (ids) {
    return request({
      url: '/api/Audit/GetJointDebtAccountContac?accountIdList=' + ids,
      method: 'get'
    })
}

// 3.获取共债催收记录
export function  GetContactJoinTelWorkRecord (idList) {
    return request({
      url: '/api/Audit/GetContactJoinTelWorkRecord',
      method: 'post',
      data: idList
    })
}

// 稽查结果下拉
export function apiGetValidEnum () {
  return request({
    url: '/api/Audit/GetValidEnum',
    method: 'get'
  })
}