import request from '../uitls/request';
const url = '/visitsystem/visitmanage';
// const url = ''

/**
 *  基本信息 查询案件详情*
 */
export function getAccountInfo(data) {
  return request({
    url: `${url}/accountInfo/getAccountInfo`,
    method: 'post',
    data
  });
}

/**
 *  基本信息 联系信息*电话
 */
export function findContactTel(data) {
  return request({
    url: `${url}/accountInfo/findContactTel`,
    method: 'post',
    data
  });
}

/**
 *  基本信息 联系信息*其他
 */
export function findContactOther(data) {
  return request({
    url: `${url}/accountInfo/findContactOther`,
    method: 'post',
    data
  });
}

// 联系信息*鹰眼
export function findHawkeye(data) {
  return request({
    url: `${url}/accountInfo/findHawkeye`,
    method: 'post',
    data
  });
}

/**
 ** 催收记录 - 本案
 */
export function queryThisCaseDetailsList(data) {
  return request({
    url: `${url}/accountInfo/queryThisCaseDetailsList`,
    method: 'post',
    data
  });
}

/**
 ** 催收记录 - 所有
 */
export function queryAllCaseDetailsList(data) {
  return request({
    url: `${url}/accountInfo/queryAllCaseDetailsList`,
    method: 'post',
    data
  });
}

/**
 ** 案件详情 案件转发
 */
export function forwardAccount(data) {
  return request({
    url: `${url}/accountInfo/forwardAccountStrategy`,
    method: 'post',
    data
  });
}

/**
 ** 下拉树
 */
export function getAllOrganizationList() {
  return request({
    url: `${url}/dropDownBox/getOrganizationTreeUsrDto`,
    method: 'post'
  });
}

/**
 **  联系信息 取消隐藏
 */
export function updateAccountContactIsHidden(data) {
  return request({
    url: `${url}/accountInfo/updateAccountContactIsHidden`,
    method: 'post',
    data
  });
}

// 查询还款
export function findRepay(data) {
  return request({
    method: 'post',
    data: data,
    url: url + '/accountInfo/findRepay'
  });
}

// 查询还款调整记录
export function findRepayAdjust(data) {
  return request({
    method: 'post',
    data: data,
    url: url + '/accountInfo/findRepayAdjust'
  });
}

// 【外访】--根据案件id查询历史外访记录
export function getHistoryVisitRecordByAccountId(id) {
  return request({
    method: 'get',
    url: url + '/visit/getHistoryVisitRecordByAccountId/' + id
  });
}

// 【外访】--根据案件id查询外访记录
export function getVisitRecordByAccountId(id) {
  return request({
    method: 'get',
    url: url + '/visit/getVisitRecordByAccountId/' + id
  });
}

//新增/修改外访稽核获取信息
export const getExternalAuditDate = (auditVisitId, params) => {
  return request({
    url: url + '/audit/visit/getAuditVisitDetail?auditVisitId=' + auditVisitId + '&visitId=' + params,
    method: 'get'
  });
};

// 案件信息 拼音
export function getDebtorNamePinyin(debtorName) {
  return request({
    url: `${url}/accountInfo/getDebtorNamePinyin?debtorName=${debtorName}`,
    method: 'post',
  });
}

// 催收记录更新屏蔽状态
export function updateShieldState(data) {
  return request({
    url: `${url}/collection/updateShieldState`,
    method: 'post',
    data
  });
}

// 案件标签
export function getAccountCaseLabelByAccountId(data) {
  return request({
    url: `${url}/accountInfo/getAccountCaseLabelByAccountId/${data}`,
    method: 'post',
  });
}