import store from '@/store'
function checkPermission(el, bind) {
    const { value } = bind
    const permissionOperations = store.state.globalState.globalState.permissionOperations
    const hasPermission = permissionOperations.some(item => item.authorityExplain === value)
    if(!hasPermission) {
      el.parentNode && el.parentNode.removeChild(el)
    }
}

export default {
  inserted(el, bind) {
    checkPermission(el, bind)
  }
}